import * as i0 from '@angular/core';
import { EventEmitter, Injectable, Output, Component, ViewChild, NgModule } from '@angular/core';
import * as i4 from '@angular/common';
import { CommonModule } from '@angular/common';

var AcdcNotificationLevel;
(function (AcdcNotificationLevel) {
    AcdcNotificationLevel["Success"] = "Success";
    AcdcNotificationLevel["Info"] = "Info";
    AcdcNotificationLevel["Warn"] = "Warn";
    AcdcNotificationLevel["Error"] = "Error";
})(AcdcNotificationLevel || (AcdcNotificationLevel = {}));
var AcdcNotificationState;
(function (AcdcNotificationState) {
    AcdcNotificationState["Created"] = "Created";
    AcdcNotificationState["Dismissed"] = "Dismissed";
})(AcdcNotificationState || (AcdcNotificationState = {}));
var AcdcHorizontalAlignment;
(function (AcdcHorizontalAlignment) {
    AcdcHorizontalAlignment["Left"] = "Left";
    AcdcHorizontalAlignment["Center"] = "Center";
    AcdcHorizontalAlignment["Right"] = "Right";
})(AcdcHorizontalAlignment || (AcdcHorizontalAlignment = {}));
var AcdcVerticalAlignment;
(function (AcdcVerticalAlignment) {
    AcdcVerticalAlignment["Top"] = "Top";
    AcdcVerticalAlignment["Bottom"] = "Bottom";
})(AcdcVerticalAlignment || (AcdcVerticalAlignment = {}));
class AcdcNotifcationsDefaultConfig {
    constructor(toast) {
        this.toast = toast;
    }
}
var NamedColors;
(function (NamedColors) {
    NamedColors["aliceblue"] = "#f0f8ff";
    NamedColors["antiquewhite"] = "#faebd7";
    NamedColors["aqua"] = "#00ffff";
    NamedColors["aquamarine"] = "#7fffd4";
    NamedColors["azure"] = "#f0ffff";
    NamedColors["beige"] = "#f5f5dc";
    NamedColors["bisque"] = "#ffe4c4";
    NamedColors["black"] = "#000000";
    NamedColors["blanchedalmond"] = "#ffebcd";
    NamedColors["blue"] = "#0000ff";
    NamedColors["blueviolet"] = "#8a2be2";
    NamedColors["brown"] = "#a52a2a";
    NamedColors["burlywood"] = "#deb887";
    NamedColors["cadetblue"] = "#5f9ea0";
    NamedColors["chartreuse"] = "#7fff00";
    NamedColors["chocolate"] = "#d2691e";
    NamedColors["coral"] = "#ff7f50";
    NamedColors["cornflowerblue"] = "#6495ed";
    NamedColors["cornsilk"] = "#fff8dc";
    NamedColors["crimson"] = "#dc143c";
    NamedColors["cyan"] = "#00ffff";
    NamedColors["darkblue"] = "#00008b";
    NamedColors["darkcyan"] = "#008b8b";
    NamedColors["darkgoldenrod"] = "#b8860b";
    NamedColors["darkgray"] = "#a9a9a9";
    NamedColors["darkgreen"] = "#006400";
    NamedColors["darkgrey"] = "#a9a9a9";
    NamedColors["darkkhaki"] = "#bdb76b";
    NamedColors["darkmagenta"] = "#8b008b";
    NamedColors["darkolivegreen"] = "#556b2f";
    NamedColors["darkorange"] = "#ff8c00";
    NamedColors["darkorchid"] = "#9932cc";
    NamedColors["darkred"] = "#8b0000";
    NamedColors["darksalmon"] = "#e9967a";
    NamedColors["darkseagreen"] = "#8fbc8f";
    NamedColors["darkslateblue"] = "#483d8b";
    NamedColors["darkslategray"] = "#2f4f4f";
    NamedColors["darkslategrey"] = "#2f4f4f";
    NamedColors["darkturquoise"] = "#00ced1";
    NamedColors["darkviolet"] = "#9400d3";
    NamedColors["deeppink"] = "#ff1493";
    NamedColors["deepskyblue"] = "#00bfff";
    NamedColors["dimgray"] = "#696969";
    NamedColors["dimgrey"] = "#696969";
    NamedColors["dodgerblue"] = "#1e90ff";
    NamedColors["firebrick"] = "#b22222";
    NamedColors["floralwhite"] = "#fffaf0";
    NamedColors["forestgreen"] = "#228b22";
    NamedColors["fuchsia"] = "#ff00ff";
    NamedColors["gainsboro"] = "#dcdcdc";
    NamedColors["ghostwhite"] = "#f8f8ff";
    NamedColors["gold"] = "#ffd700";
    NamedColors["goldenrod"] = "#daa520";
    NamedColors["gray"] = "#808080";
    NamedColors["green"] = "#008000";
    NamedColors["greenyellow"] = "#adff2f";
    NamedColors["grey"] = "#808080";
    NamedColors["honeydew"] = "#f0fff0";
    NamedColors["hotpink"] = "#ff69b4";
    NamedColors["indianred"] = "#cd5c5c";
    NamedColors["indigo"] = "#4b0082";
    NamedColors["ivory"] = "#fffff0";
    NamedColors["khaki"] = "#f0e68c";
    NamedColors["lavender"] = "#e6e6fa";
    NamedColors["lavenderblush"] = "#fff0f5";
    NamedColors["lawngreen"] = "#7cfc00";
    NamedColors["lemonchiffon"] = "#fffacd";
    NamedColors["lightblue"] = "#add8e6";
    NamedColors["lightcoral"] = "#f08080";
    NamedColors["lightcyan"] = "#e0ffff";
    NamedColors["lightgoldenrodyellow"] = "#fafad2";
    NamedColors["lightgray"] = "#d3d3d3";
    NamedColors["lightgreen"] = "#90ee90";
    NamedColors["lightgrey"] = "#d3d3d3";
    NamedColors["lightpink"] = "#ffb6c1";
    NamedColors["lightsalmon"] = "#ffa07a";
    NamedColors["lightseagreen"] = "#20b2aa";
    NamedColors["lightskyblue"] = "#87cefa";
    NamedColors["lightslategray"] = "#778899";
    NamedColors["lightslategrey"] = "#778899";
    NamedColors["lightsteelblue"] = "#b0c4de";
    NamedColors["lightyellow"] = "#ffffe0";
    NamedColors["lime"] = "#00ff00";
    NamedColors["limegreen"] = "#32cd32";
    NamedColors["linen"] = "#faf0e6";
    NamedColors["magenta"] = "#ff00ff";
    NamedColors["maroon"] = "#800000";
    NamedColors["mediumaquamarine"] = "#66cdaa";
    NamedColors["mediumblue"] = "#0000cd";
    NamedColors["mediumorchid"] = "#ba55d3";
    NamedColors["mediumpurple"] = "#9370db";
    NamedColors["mediumseagreen"] = "#3cb371";
    NamedColors["mediumslateblue"] = "#7b68ee";
    NamedColors["mediumspringgreen"] = "#00fa9a";
    NamedColors["mediumturquoise"] = "#48d1cc";
    NamedColors["mediumvioletred"] = "#c71585";
    NamedColors["midnightblue"] = "#191970";
    NamedColors["mintcream"] = "#f5fffa";
    NamedColors["mistyrose"] = "#ffe4e1";
    NamedColors["moccasin"] = "#ffe4b5";
    NamedColors["navajowhite"] = "#ffdead";
    NamedColors["navy"] = "#000080";
    NamedColors["oldlace"] = "#fdf5e6";
    NamedColors["olive"] = "#808000";
    NamedColors["olivedrab"] = "#6b8e23";
    NamedColors["orange"] = "#ffa500";
    NamedColors["orangered"] = "#ff4500";
    NamedColors["orchid"] = "#da70d6";
    NamedColors["palegoldenrod"] = "#eee8aa";
    NamedColors["palegreen"] = "#98fb98";
    NamedColors["paleturquoise"] = "#afeeee";
    NamedColors["palevioletred"] = "#db7093";
    NamedColors["papayawhip"] = "#ffefd5";
    NamedColors["peachpuff"] = "#ffdab9";
    NamedColors["peru"] = "#cd853f";
    NamedColors["pink"] = "#ffc0cb";
    NamedColors["plum"] = "#dda0dd";
    NamedColors["powderblue"] = "#b0e0e6";
    NamedColors["purple"] = "#800080";
    NamedColors["rebeccapurple"] = "#663399";
    NamedColors["red"] = "#ff0000";
    NamedColors["rosybrown"] = "#bc8f8f";
    NamedColors["royalblue"] = "#4169e1";
    NamedColors["saddlebrown"] = "#8b4513";
    NamedColors["salmon"] = "#fa8072";
    NamedColors["sandybrown"] = "#f4a460";
    NamedColors["seagreen"] = "#2e8b57";
    NamedColors["seashell"] = "#fff5ee";
    NamedColors["sienna"] = "#a0522d";
    NamedColors["silver"] = "#c0c0c0";
    NamedColors["skyblue"] = "#87ceeb";
    NamedColors["slateblue"] = "#6a5acd";
    NamedColors["slategray"] = "#708090";
    NamedColors["slategrey"] = "#708090";
    NamedColors["snow"] = "#fffafa";
    NamedColors["springgreen"] = "#00ff7f";
    NamedColors["steelblue"] = "#4682b4";
    NamedColors["tan"] = "#d2b48c";
    NamedColors["teal"] = "#008080";
    NamedColors["thistle"] = "#d8bfd8";
    NamedColors["tomato"] = "#ff6347";
    NamedColors["turquoise"] = "#40e0d0";
    NamedColors["violet"] = "#ee82ee";
    NamedColors["wheat"] = "#f5deb3";
    NamedColors["white"] = "#ffffff";
    NamedColors["whitesmoke"] = "#f5f5f5";
    NamedColors["yellow"] = "#ffff00";
    NamedColors["yellowgreen"] = "#9acd32";
})(NamedColors || (NamedColors = {}));

class AcdcNotificationsService {
    constructor(defaultConfig) {
        this.defaultConfig = defaultConfig;
        this.addToastAction = new EventEmitter();
        this.deleteToastAction = new EventEmitter();
        this.updateDefaultConfigEmitter = new EventEmitter();
        this.counter = 0;
        this.toasts = [];
        this.acdcConfig = defaultConfig;
    }
    generateId() {
        return 'acdc_' + (Date.now() + Math.random());
    }
    addToast(notificationLevel, title, message, timeout) {
        const newToast = {
            id: this.generateId(),
            title: title,
            message: message,
            notificationLevel: notificationLevel ? notificationLevel : AcdcNotificationLevel.Info,
            timeout: timeout,
            notificationState: AcdcNotificationState.Created
        };
        if (this.acdcConfig && this.acdcConfig.toast && this.acdcConfig.toast.addToTop) {
            this.toasts.unshift(newToast);
        }
        else {
            this.toasts.push(newToast);
        }
        this.addToastAction.emit(newToast);
        if (timeout) {
            setTimeout(() => {
                this.deleteToast(newToast.id);
            }, timeout);
        }
        return newToast.id;
    }
    toastParamsError() {
        return this.addToast('Error', 'Notifications Component Error', `'message' property is required when calling toast.`);
    }
    getToastsRef() {
        return this.toasts;
    }
    updateDefaultConfig(defaultConfig) {
        this.acdcConfig = defaultConfig;
        this.updateDefaultConfigEmitter.emit(defaultConfig);
    }
    toast(...params) {
        if (params && params.length) {
            if (typeof params[0] === 'string') {
                return this.addToast(params[2], params[1], params[0], params[3]);
            }
            else {
                let config = params[0];
                return this.addToast(config.notificationLevel ? config.notificationLevel : '', config.title ? config.title : '', config.message, config.timeout);
            }
        }
        return this.toastParamsError();
    }
    deleteAllToasts() {
        this.toasts.forEach(toast => {
            this.deleteToast(toast.id);
        });
    }
    deleteToast(id) {
        let index = this.toasts.findIndex(item => item.id === id);
        if (index === -1) {
            return;
        }
        const toast2Dismiss = this.toasts[index];
        toast2Dismiss.notificationState = AcdcNotificationState.Dismissed;
        this.deleteToastAction.emit(toast2Dismiss);
        setTimeout(() => {
            index = this.toasts.findIndex(item => item.id === id);
            if (index === -1) {
                return;
            }
            this.toasts.splice(index, 1);
        }, 500);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsService, deps: [{ token: AcdcNotifcationsDefaultConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: AcdcNotifcationsDefaultConfig }]; }, propDecorators: { addToastAction: [{
                type: Output
            }], deleteToastAction: [{
                type: Output
            }], updateDefaultConfigEmitter: [{
                type: Output
            }] } });

class AcdcUtilsService {
    constructor() { }
    isRgbColor(color) {
        return (/^rgb[(](?:\s*0*(?:\d\d?(?:\.\d+)?(?:\s*%)?|\.\d+\s*%|100(?:\.0*)?\s*%|(?:1\d\d|2[0-4]\d|25[0-5])(?:\.\d+)?)\s*(?:,(?![)])|(?=[)]))){3}[)]$/).test(color);
    }
    isRgbaColor(color) {
        return (/^rgba[(](?:\s*0*(?:\d\d?(?:\.\d+)?(?:\s*%)?|\.\d+\s*%|100(?:\.0*)?\s*%|(?:1\d\d|2[0-4]\d|25[0-5])(?:\.\d+)?)\s*,){3}\s*0*(?:\.\d+|1(?:\.0*)?)\s*[)]$/).test(color);
    }
    isHexColor(color) {
        return (/^#([A-Fa-f0-9]{3}){1,2}$/).test(color);
    }
    isKnownNamedColor(color) {
        let testResult = Object.keys(NamedColors).includes(color);
        return testResult;
    }
    hexColor2Rgba(color, opacityAlpha) {
        let c;
        if (this.isHexColor(color)) {
            c = color.substring(1).split('');
            if (c.length == 3) {
                c = [c[0], c[0], c[1], c[1], c[2], c[2]];
            }
            c = '0x' + c.join('');
            let convertedValues = [(c >> 16) & 255, (c >> 8) & 255, c & 255].join(',');
            return `rgba(${convertedValues},${opacityAlpha})`;
        }
        return '';
    }
    getValueByKeyForStringEnum(value) {
        return Object.entries(NamedColors).find(([key, val]) => key === value)?.[1];
    }
    namedColor2Rgba(color, opacityAlpha) {
        if (this.isKnownNamedColor(color)) {
            let colorsEnumRec = this.getValueByKeyForStringEnum(color);
            return colorsEnumRec ? this.hexColor2Rgba(colorsEnumRec.toString(), opacityAlpha) : '';
        }
        return '';
    }
    rgbColor2Rgba(color, opacityAlpha) {
        return color.replace(/.$/, `,${opacityAlpha})`);
    }
    color2Rgba(color, opacityAlpha = 1) {
        if (!opacityAlpha) {
            opacityAlpha = 1;
        }
        if (this.isKnownNamedColor(color)) {
            return this.namedColor2Rgba(color, opacityAlpha);
        }
        else if (this.isHexColor(color)) {
            return this.hexColor2Rgba(color, opacityAlpha);
        }
        else if (this.isRgbColor(color)) {
            return this.rgbColor2Rgba(color, opacityAlpha);
        }
        else if (this.isRgbaColor(color)) {
            return color;
        }
        else {
            return '';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcUtilsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcUtilsService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcUtilsService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

class AcdcNotificationsComponent {
    constructor(acdcNotificationsService, acdcUtils, defaultConfig) {
        this.acdcNotificationsService = acdcNotificationsService;
        this.acdcUtils = acdcUtils;
        this.defaultConfig = defaultConfig;
        this.toasts = [];
        this.AcdcNotificationLevel = AcdcNotificationLevel;
        this.AcdcNotificationState = AcdcNotificationState;
        this.AcdcVerticalAlignment = AcdcVerticalAlignment;
        this.AcdcHorizontalAlignment = AcdcHorizontalAlignment;
        this.acdcConfig = this.setEmptyConfigDefaults(defaultConfig);
    }
    ngOnInit() {
        this.toasts = this.acdcNotificationsService.getToastsRef();
        this.acdcNotificationsService.addToastAction.subscribe(newToast => {
            setTimeout(() => {
                if (this.acdcConfig.toast?.addToTop) {
                    if (this.toastsDiv) {
                        this.toastsDiv.nativeElement.scrollTop = 0;
                    }
                }
                else {
                    if (this.toastsDiv) {
                        this.toastsDiv.nativeElement.scrollTop = this.toastsDiv.nativeElement.scrollHeight;
                    }
                }
            }, 100);
        });
        this.acdcNotificationsService.updateDefaultConfigEmitter.subscribe(defaultConfig => {
            this.acdcConfig = this.setEmptyConfigDefaults(defaultConfig);
        });
    }
    dismissToast(id) {
        this.acdcNotificationsService.deleteToast(id);
    }
    dismissAllToasts() {
        this.acdcNotificationsService.deleteAllToasts();
    }
    // private functions
    setEmptyConfigDefaults(defaultConfig) {
        if (!defaultConfig) {
            defaultConfig = {};
        }
        if (!defaultConfig.toast) {
            defaultConfig.toast = {};
        }
        if (!defaultConfig.toast.error) {
            defaultConfig.toast.error = {};
        }
        if (!defaultConfig.toast.info) {
            defaultConfig.toast.info = {};
        }
        if (!defaultConfig.toast.warn) {
            defaultConfig.toast.warn = {};
        }
        if (!defaultConfig.toast.success) {
            defaultConfig.toast.success = {};
        }
        // setting default config for toasts title color if notification level specific toast title color is empty
        if (defaultConfig.toast.titleColor) {
            if (!defaultConfig.toast.info.titleColor) {
                defaultConfig.toast.info.titleColor = defaultConfig.toast.titleColor;
            }
            if (!defaultConfig.toast.error.titleColor) {
                defaultConfig.toast.error.titleColor = defaultConfig.toast.titleColor;
            }
            if (!defaultConfig.toast.warn.titleColor) {
                defaultConfig.toast.warn.titleColor = defaultConfig.toast.titleColor;
            }
            if (!defaultConfig.toast.success.titleColor) {
                defaultConfig.toast.success.titleColor = defaultConfig.toast.titleColor;
            }
        }
        // setting default config for toasts message color if notification level specific toast message color is empty
        if (defaultConfig.toast.messageColor) {
            if (!defaultConfig.toast.info.messageColor) {
                defaultConfig.toast.info.messageColor = defaultConfig.toast.messageColor;
            }
            if (!defaultConfig.toast.error.messageColor) {
                defaultConfig.toast.error.messageColor = defaultConfig.toast.messageColor;
            }
            if (!defaultConfig.toast.warn.messageColor) {
                defaultConfig.toast.warn.messageColor = defaultConfig.toast.messageColor;
            }
            if (!defaultConfig.toast.success.messageColor) {
                defaultConfig.toast.success.messageColor = defaultConfig.toast.messageColor;
            }
        }
        // setting default config for toasts icon color if notification level specific toast icon color is empty
        if (defaultConfig.toast.iconsColor) {
            if (!defaultConfig.toast.info.iconsColor) {
                defaultConfig.toast.info.iconsColor = defaultConfig.toast.iconsColor;
            }
            if (!defaultConfig.toast.error.iconsColor) {
                defaultConfig.toast.error.iconsColor = defaultConfig.toast.iconsColor;
            }
            if (!defaultConfig.toast.warn.iconsColor) {
                defaultConfig.toast.warn.iconsColor = defaultConfig.toast.iconsColor;
            }
            if (!defaultConfig.toast.success.iconsColor) {
                defaultConfig.toast.success.iconsColor = defaultConfig.toast.iconsColor;
            }
        }
        // setting config for toasts background color
        if (defaultConfig.toast.backgroundColor) {
            // if default config fot toast background color not empty
            // notification level specific configuration background color has higher priority so first we are checking it
            // ( converting colors to rgba for opacity support )
            let toastRgbaBackgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.backgroundColor, defaultConfig.toast.backgroundOpacity);
            if (!defaultConfig.toast.info.backgroundColor) {
                defaultConfig.toast.info.backgroundColor = toastRgbaBackgroundColor;
            }
            else {
                defaultConfig.toast.info.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.info.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.error.backgroundColor) {
                defaultConfig.toast.error.backgroundColor = toastRgbaBackgroundColor;
            }
            else {
                defaultConfig.toast.error.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.error.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.warn.backgroundColor) {
                defaultConfig.toast.warn.backgroundColor = toastRgbaBackgroundColor;
            }
            else {
                defaultConfig.toast.warn.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.warn.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.success.backgroundColor) {
                defaultConfig.toast.success.backgroundColor = toastRgbaBackgroundColor;
            }
            else {
                defaultConfig.toast.success.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.success.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
        }
        else {
            // if default config fot toast background color is empty
            // we are checking notification level specific configuration background color, if it is empty then using default values
            // ( converting colors to rgba for opacity support )
            if (!defaultConfig.toast.info.backgroundColor) {
                defaultConfig.toast.info.backgroundColor = this.acdcUtils.color2Rgba('steelblue', defaultConfig.toast.backgroundOpacity);
            }
            else {
                defaultConfig.toast.info.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.info.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.error.backgroundColor) {
                defaultConfig.toast.error.backgroundColor = this.acdcUtils.color2Rgba('firebrick', defaultConfig.toast.backgroundOpacity);
            }
            else {
                defaultConfig.toast.error.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.error.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.warn.backgroundColor) {
                defaultConfig.toast.warn.backgroundColor = this.acdcUtils.color2Rgba('orange', defaultConfig.toast.backgroundOpacity);
            }
            else {
                defaultConfig.toast.warn.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.warn.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
            if (!defaultConfig.toast.success.backgroundColor) {
                defaultConfig.toast.success.backgroundColor = this.acdcUtils.color2Rgba('seagreen', defaultConfig.toast.backgroundOpacity);
            }
            else {
                defaultConfig.toast.success.backgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.success.backgroundColor, defaultConfig.toast.backgroundOpacity);
            }
        }
        if (!defaultConfig.toast.deleteAllBtnBackgroundColor) {
            defaultConfig.toast.deleteAllBtnBackgroundColor = this.acdcUtils.color2Rgba('steelblue', defaultConfig.toast.backgroundOpacity);
        }
        else {
            if (defaultConfig.toast.deleteAllBtnBackgroundColor !== 'transparent' && defaultConfig.toast.deleteAllBtnBackgroundColor !== 'none') {
                defaultConfig.toast.deleteAllBtnBackgroundColor = this.acdcUtils.color2Rgba(defaultConfig.toast.deleteAllBtnBackgroundColor, defaultConfig.toast.backgroundOpacity);
            }
        }
        if (!defaultConfig.toast.verticalAlignment) {
            defaultConfig.toast.verticalAlignment = AcdcVerticalAlignment.Top;
        }
        if (!defaultConfig.toast.horizontalAlignment) {
            defaultConfig.toast.horizontalAlignment = AcdcHorizontalAlignment.Right;
        }
        if (!defaultConfig.toast.createAnimations) {
            defaultConfig.toast.createAnimations = 'acdcFadeInAnimation';
        }
        if (!defaultConfig.toast.dismissAnimations) {
            defaultConfig.toast.dismissAnimations = 'acdcFadeOutAnimation';
        }
        return defaultConfig;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsComponent, deps: [{ token: AcdcNotificationsService }, { token: AcdcUtilsService }, { token: AcdcNotifcationsDefaultConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: AcdcNotificationsComponent, selector: "acdc-notifications", viewQueries: [{ propertyName: "toastsDiv", first: true, predicate: ["toastsDiv"], descendants: true }], ngImport: i0, template: "<div class=\"acdc-toasts-container\" [style.z-index]=\"acdcConfig.toast.zIndex? acdcConfig.toast.zIndex: 1000000000\"\n  [style.width]=\"acdcConfig.toast.width? acdcConfig.toast.width: '320px'\"\n  [class.acdc-toasts-container-left]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Left\"\n  [class.acdc-toasts-container-right]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Right\"\n  [class.acdc-toasts-container-hcenter]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Center\"\n  [class.acdc-toasts-container-top]=\"acdcConfig.toast.verticalAlignment===AcdcVerticalAlignment.Top\"\n  [class.acdc-toasts-container-bottom]=\"acdcConfig.toast.verticalAlignment===AcdcVerticalAlignment.Bottom\" *ngIf=\"toasts && toasts.length\">\n\n  <div #toastsDiv class=\"acdc-toasts-div scroller\">\n    <ng-container *ngFor=\"let toast of toasts\">\n\n      <!-- warn toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Warn\" class=\"acdc-toast acdc-toast-warn acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.warn?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.warn?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M16 2.899l13.409 26.726h-26.819l13.409-26.726zM16 0c-0.69 0-1.379 0.465-1.903 1.395l-13.659 27.222c-1.046 1.86-0.156 3.383 1.978 3.383h27.166c2.134 0 3.025-1.522 1.978-3.383h0l-13.659-27.222c-0.523-0.93-1.213-1.395-1.903-1.395v0z\">\n            </path>\n            <path d=\"M18 26c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2z\"></path>\n            <path d=\"M16 22c-1.105 0-2-0.895-2-2v-6c0-1.105 0.895-2 2-2s2 0.895 2 2v6c0 1.105-0.895 2-2 2z\"></path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.warn?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.warn?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.warn?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- info toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Info\" class=\"acdc-toast acdc-toast-info acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.info?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.info?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M14 9.5c0-0.825 0.675-1.5 1.5-1.5h1c0.825 0 1.5 0.675 1.5 1.5v1c0 0.825-0.675 1.5-1.5 1.5h-1c-0.825 0-1.5-0.675-1.5-1.5v-1z\">\n            </path>\n            <path d=\"M20 24h-8v-2h2v-6h-2v-2h6v8h2z\"></path>\n            <path\n              d=\"M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 29c-7.18 0-13-5.82-13-13s5.82-13 13-13 13 5.82 13 13-5.82 13-13 13z\">\n            </path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.info?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.info?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.info?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- success toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Success\" class=\"acdc-toast acdc-toast-success acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.success?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.success?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path d=\"M27 4l-15 15-7-7-5 5 12 12 20-20z\" />\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.success?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr class=\"acdc-hr\" *ngIf=\"toast.title\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.success?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.success?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- error toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Error\" class=\"acdc-toast acdc-toast-error acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.error?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.error?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M16 3c-3.472 0-6.737 1.352-9.192 3.808s-3.808 5.72-3.808 9.192c0 3.472 1.352 6.737 3.808 9.192s5.72 3.808 9.192 3.808c3.472 0 6.737-1.352 9.192-3.808s3.808-5.72 3.808-9.192c0-3.472-1.352-6.737-3.808-9.192s-5.72-3.808-9.192-3.808zM16 0v0c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.837 0-16-7.163-16-16s7.163-16 16-16zM14 22h4v4h-4zM14 6h4v12h-4z\">\n            </path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.error?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.error?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.error?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n    </ng-container>\n  </div>\n\n  <div\n    *ngIf=\"toasts && toasts.length && acdcConfig.toast.minCntToShowDeleteAllBtn && toasts.length>=acdcConfig.toast.minCntToShowDeleteAllBtn\"\n    class=\"acdc-toasts-toolbar-div\">\n\n    <div (click)=\"dismissAllToasts()\" class=\"acdc-toasts-toolbar-btn\"\n      [style.background-color]=\"acdcConfig.toast.deleteAllBtnBackgroundColor\"\n      [style.box-shadow]=\"acdcConfig.toast.deleteAllBtnBackgroundColor==='none'? '': '0px 5px 10px grey'\">\n      <svg class=\"acdc-svg-2\" [style.fill]=\"acdcConfig.toast.deleteAllBtnIconColor\" viewBox=\"0 0 32 32\"\n        aria-hidden=\"true\">\n        <path\n          d=\"M4 10v20c0 1.1 0.9 2 2 2h18c1.1 0 2-0.9 2-2v-20h-22zM10 28h-2v-14h2v14zM14 28h-2v-14h2v14zM18 28h-2v-14h2v14zM22 28h-2v-14h2v14z\">\n        </path>\n        <path\n          d=\"M26.5 4h-6.5v-2.5c0-0.825-0.675-1.5-1.5-1.5h-7c-0.825 0-1.5 0.675-1.5 1.5v2.5h-6.5c-0.825 0-1.5 0.675-1.5 1.5v2.5h26v-2.5c0-0.825-0.675-1.5-1.5-1.5zM18 4h-6v-1.975h6v1.975z\">\n        </path>\n      </svg>\n    </div>\n\n  </div>\n\n</div>", styles: ["@keyframes acdcFadeOutAnimation{0%{opacity:1}to{display:none;opacity:0}}@keyframes acdcFadeInAnimation{0%{opacity:0}to{opacity:1}}@keyframes acdcSlideInLeftAnimation{0%{transform:translate(240px)}to{transform:translate(0)}}@keyframes acdcSlideOutRightAnimation{0%{transform:translate(0)}to{transform:translate(240px)}}@keyframes acdcSlideOutLeftAnimation{0%{transform:translate(0)}to{transform:translate(-240px)}}@keyframes acdcSlideInRightAnimation{0%{transform:translate(-240px)}to{transform:translate(0)}}@keyframes acdcSlideInTopAnimation{0%{transform:translateY(-100px)}to{transform:translate(0)}}@keyframes acdcSlideInBottomAnimation{0%{transform:translateY(100px)}to{transform:translateY(0)}}@keyframes acdcSlideOutTopAnimation{0%{transform:translateY(0)}to{transform:translateY(-100px)}}@keyframes acdcSlideOutBottomAnimation{0%{transform:translateY(0)}to{transform:translateY(100px)}}.acdc-animation{animation-duration:.5s;animation-fill-mode:forwards;animation-timing-function:linear}.acdc-svg{fill:#fff;width:16px;height:16px}.acdc-svg-2{fill:#fff;width:24px;height:24px}.acdc-toasts-container{position:fixed;max-height:500px;overflow-y:hidden;margin:0 auto;overflow-x:hidden;box-sizing:unset}.acdc-toasts-container-left{left:10px}.acdc-toasts-container-right{right:10px}.acdc-toasts-container-hcenter{left:0;right:0;margin-left:auto;margin-right:auto}.acdc-toasts-container-top{top:10px}.acdc-toasts-container-bottom{bottom:10px}.acdc-toasts-div{max-height:440px;overflow-y:auto;overflow-x:hidden;padding-right:10px;padding-left:10px;box-sizing:unset}.acdc-toasts-toolbar-div{height:50px;overflow-x:hidden;padding-right:10px;padding-left:10px;box-sizing:unset;margin-top:10px}.acdc-toasts-toolbar-btn{float:right;padding:5px 5px 2px;box-sizing:unset;border-radius:3px;cursor:pointer}.acdc-toast-header{width:calc(100% - 45px);margin-left:25px;max-height:25px;overflow-y:auto}.acdc-toast-close-btn{float:right;cursor:pointer}.acdc-toast-notification-level-icon{margin-right:5px}.acdc-toast-notification-level-div{position:absolute;top:10px;left:10px}.acdc-toast-close-div{position:absolute;top:10px;right:10px}.acdc-toast-content{width:calc(100% - 45px);margin-left:25px;max-height:61px;overflow-y:auto}.acdc-toast-content-with-title{width:100%;margin-left:0}.acdc-toast{background-color:#789;padding:10px;margin:0 auto 10px;border-radius:3px;box-shadow:0 5px 15px gray;color:#fff;position:relative}.acdc-hr{border:0;height:1px;margin-top:10px;margin-bottom:10px;background-image:linear-gradient(to right,#0000,#000000bf,#0000)}.acdc-mini-toast{max-height:60px;min-height:16px}.scroller{scrollbar-color:#999 #eee;scrollbar-width:thin;scrollbar-track-color:red}.scroller::-webkit-scrollbar{width:5px;height:5px}.scroller::-webkit-scrollbar-track-piece{background-color:#eee}.scroller::-webkit-scrollbar-thumb:vertical{background-color:#999}.scroller::-webkit-scrollbar-thumb:horizontal{background-color:#999}\n"], dependencies: [{ kind: "directive", type: i4.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i4.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'acdc-notifications', template: "<div class=\"acdc-toasts-container\" [style.z-index]=\"acdcConfig.toast.zIndex? acdcConfig.toast.zIndex: 1000000000\"\n  [style.width]=\"acdcConfig.toast.width? acdcConfig.toast.width: '320px'\"\n  [class.acdc-toasts-container-left]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Left\"\n  [class.acdc-toasts-container-right]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Right\"\n  [class.acdc-toasts-container-hcenter]=\"acdcConfig.toast.horizontalAlignment===AcdcHorizontalAlignment.Center\"\n  [class.acdc-toasts-container-top]=\"acdcConfig.toast.verticalAlignment===AcdcVerticalAlignment.Top\"\n  [class.acdc-toasts-container-bottom]=\"acdcConfig.toast.verticalAlignment===AcdcVerticalAlignment.Bottom\" *ngIf=\"toasts && toasts.length\">\n\n  <div #toastsDiv class=\"acdc-toasts-div scroller\">\n    <ng-container *ngFor=\"let toast of toasts\">\n\n      <!-- warn toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Warn\" class=\"acdc-toast acdc-toast-warn acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.warn?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.warn?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M16 2.899l13.409 26.726h-26.819l13.409-26.726zM16 0c-0.69 0-1.379 0.465-1.903 1.395l-13.659 27.222c-1.046 1.86-0.156 3.383 1.978 3.383h27.166c2.134 0 3.025-1.522 1.978-3.383h0l-13.659-27.222c-0.523-0.93-1.213-1.395-1.903-1.395v0z\">\n            </path>\n            <path d=\"M18 26c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2z\"></path>\n            <path d=\"M16 22c-1.105 0-2-0.895-2-2v-6c0-1.105 0.895-2 2-2s2 0.895 2 2v6c0 1.105-0.895 2-2 2z\"></path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.warn?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.warn?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.warn?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- info toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Info\" class=\"acdc-toast acdc-toast-info acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.info?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.info?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M14 9.5c0-0.825 0.675-1.5 1.5-1.5h1c0.825 0 1.5 0.675 1.5 1.5v1c0 0.825-0.675 1.5-1.5 1.5h-1c-0.825 0-1.5-0.675-1.5-1.5v-1z\">\n            </path>\n            <path d=\"M20 24h-8v-2h2v-6h-2v-2h6v8h2z\"></path>\n            <path\n              d=\"M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 29c-7.18 0-13-5.82-13-13s5.82-13 13-13 13 5.82 13 13-5.82 13-13 13z\">\n            </path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.info?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.info?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.info?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- success toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Success\" class=\"acdc-toast acdc-toast-success acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.success?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.success?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path d=\"M27 4l-15 15-7-7-5 5 12 12 20-20z\" />\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.success?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr class=\"acdc-hr\" *ngIf=\"toast.title\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.success?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.success?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n      <!-- error toast -->\n      <div *ngIf=\"toast.notificationLevel===AcdcNotificationLevel.Error\" class=\"acdc-toast acdc-toast-error acdc-animation\"\n        [style.animation-name]=\"toast.notificationState===AcdcNotificationState.Created? acdcConfig.toast.createAnimations: (toast.notificationState===AcdcNotificationState.Dismissed? acdcConfig.toast.dismissAnimations: '')\"\n        [class.acdc-mini-toast]=\"!toast.title\" [style.background-color]=\"acdcConfig.toast.error?.backgroundColor\">\n        <div class=\"acdc-toast-notification-level-div\">\n          <svg class=\"acdc-svg acdc-toast-notification-level-icon\" [style.fill]=\"acdcConfig.toast.error?.iconsColor\"\n            viewBox=\"0 0 32 32\" aria-hidden=\"true\">\n            <path\n              d=\"M16 3c-3.472 0-6.737 1.352-9.192 3.808s-3.808 5.72-3.808 9.192c0 3.472 1.352 6.737 3.808 9.192s5.72 3.808 9.192 3.808c3.472 0 6.737-1.352 9.192-3.808s3.808-5.72 3.808-9.192c0-3.472-1.352-6.737-3.808-9.192s-5.72-3.808-9.192-3.808zM16 0v0c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.837 0-16-7.163-16-16s7.163-16 16-16zM14 22h4v4h-4zM14 6h4v12h-4z\">\n            </path>\n          </svg>\n        </div>\n\n        <div class=\"acdc-toast-header\" *ngIf=\"toast.title\" [style.color]=\"acdcConfig.toast.error?.titleColor\"\n          [style.font-size]=\"acdcConfig.toast.titleFontSize? acdcConfig.toast.titleFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.titleFontFamily? acdcConfig.toast.titleFontFamily: 'inherit'\">\n          {{toast.title}}\n        </div>\n        <hr *ngIf=\"toast.title\" class=\"acdc-hr\">\n        <div class=\"acdc-toast-content scroller\" [class.acdc-toast-content-with-title]=\"toast.title\"\n          [style.color]=\"acdcConfig.toast.error?.messageColor\"\n          [style.font-size]=\"acdcConfig.toast.messageFontSize? acdcConfig.toast.messageFontSize: 'inherit'\"\n          [style.font-family]=\"acdcConfig.toast.messageFontFamily? acdcConfig.toast.messageFontFamily: 'inherit'\">\n          {{toast.message}}\n        </div>\n\n        <div class=\"acdc-toast-close-div\">\n          <svg (click)=\"dismissToast(toast.id)\" class=\"acdc-svg acdc-toast-close-btn\"\n            [style.fill]=\"acdcConfig.toast.error?.iconsColor\" viewBox=\"0 0 1024 900\" aria-hidden=\"true\">\n            <path\n              d=\"M1014.662 137.34c-0.004 0.004-0.008 0.008-0.012 0.010l-310.644 310.65 310.644 310.65c0.004 0.004 0.008 0.006 0.012 0.010 3.344 3.346 5.762 7.254 7.312 11.416 4.246 11.376 1.824 24.682-7.324 33.83l-146.746 146.746c-9.148 9.146-22.45 11.566-33.828 7.32-4.16-1.55-8.070-3.968-11.418-7.31 0-0.004-0.004-0.006-0.008-0.010l-310.648-310.652-310.648 310.65c-0.004 0.004-0.006 0.006-0.010 0.010-3.346 3.342-7.254 5.76-11.414 7.31-11.38 4.248-24.682 1.826-33.83-7.32l-146.748-146.748c-9.148-9.148-11.568-22.452-7.322-33.828 1.552-4.16 3.97-8.072 7.312-11.416 0.004-0.002 0.006-0.006 0.010-0.010l310.65-310.648-310.65-310.652c-0.002-0.004-0.006-0.006-0.008-0.010-3.342-3.346-5.76-7.254-7.314-11.414-4.248-11.376-1.826-24.682 7.322-33.83l146.748-146.746c9.15-9.148 22.452-11.568 33.83-7.322 4.16 1.552 8.070 3.97 11.416 7.312 0.002 0.004 0.006 0.006 0.010 0.010l310.648 310.65 310.648-310.65c0.004-0.002 0.008-0.006 0.012-0.008 3.348-3.344 7.254-5.762 11.414-7.314 11.378-4.246 24.684-1.826 33.828 7.322l146.746 146.748c9.148 9.148 11.57 22.454 7.324 33.83-1.552 4.16-3.97 8.068-7.314 11.414z\" />\n          </svg>\n        </div>\n      </div>\n\n    </ng-container>\n  </div>\n\n  <div\n    *ngIf=\"toasts && toasts.length && acdcConfig.toast.minCntToShowDeleteAllBtn && toasts.length>=acdcConfig.toast.minCntToShowDeleteAllBtn\"\n    class=\"acdc-toasts-toolbar-div\">\n\n    <div (click)=\"dismissAllToasts()\" class=\"acdc-toasts-toolbar-btn\"\n      [style.background-color]=\"acdcConfig.toast.deleteAllBtnBackgroundColor\"\n      [style.box-shadow]=\"acdcConfig.toast.deleteAllBtnBackgroundColor==='none'? '': '0px 5px 10px grey'\">\n      <svg class=\"acdc-svg-2\" [style.fill]=\"acdcConfig.toast.deleteAllBtnIconColor\" viewBox=\"0 0 32 32\"\n        aria-hidden=\"true\">\n        <path\n          d=\"M4 10v20c0 1.1 0.9 2 2 2h18c1.1 0 2-0.9 2-2v-20h-22zM10 28h-2v-14h2v14zM14 28h-2v-14h2v14zM18 28h-2v-14h2v14zM22 28h-2v-14h2v14z\">\n        </path>\n        <path\n          d=\"M26.5 4h-6.5v-2.5c0-0.825-0.675-1.5-1.5-1.5h-7c-0.825 0-1.5 0.675-1.5 1.5v2.5h-6.5c-0.825 0-1.5 0.675-1.5 1.5v2.5h26v-2.5c0-0.825-0.675-1.5-1.5-1.5zM18 4h-6v-1.975h6v1.975z\">\n        </path>\n      </svg>\n    </div>\n\n  </div>\n\n</div>", styles: ["@keyframes acdcFadeOutAnimation{0%{opacity:1}to{display:none;opacity:0}}@keyframes acdcFadeInAnimation{0%{opacity:0}to{opacity:1}}@keyframes acdcSlideInLeftAnimation{0%{transform:translate(240px)}to{transform:translate(0)}}@keyframes acdcSlideOutRightAnimation{0%{transform:translate(0)}to{transform:translate(240px)}}@keyframes acdcSlideOutLeftAnimation{0%{transform:translate(0)}to{transform:translate(-240px)}}@keyframes acdcSlideInRightAnimation{0%{transform:translate(-240px)}to{transform:translate(0)}}@keyframes acdcSlideInTopAnimation{0%{transform:translateY(-100px)}to{transform:translate(0)}}@keyframes acdcSlideInBottomAnimation{0%{transform:translateY(100px)}to{transform:translateY(0)}}@keyframes acdcSlideOutTopAnimation{0%{transform:translateY(0)}to{transform:translateY(-100px)}}@keyframes acdcSlideOutBottomAnimation{0%{transform:translateY(0)}to{transform:translateY(100px)}}.acdc-animation{animation-duration:.5s;animation-fill-mode:forwards;animation-timing-function:linear}.acdc-svg{fill:#fff;width:16px;height:16px}.acdc-svg-2{fill:#fff;width:24px;height:24px}.acdc-toasts-container{position:fixed;max-height:500px;overflow-y:hidden;margin:0 auto;overflow-x:hidden;box-sizing:unset}.acdc-toasts-container-left{left:10px}.acdc-toasts-container-right{right:10px}.acdc-toasts-container-hcenter{left:0;right:0;margin-left:auto;margin-right:auto}.acdc-toasts-container-top{top:10px}.acdc-toasts-container-bottom{bottom:10px}.acdc-toasts-div{max-height:440px;overflow-y:auto;overflow-x:hidden;padding-right:10px;padding-left:10px;box-sizing:unset}.acdc-toasts-toolbar-div{height:50px;overflow-x:hidden;padding-right:10px;padding-left:10px;box-sizing:unset;margin-top:10px}.acdc-toasts-toolbar-btn{float:right;padding:5px 5px 2px;box-sizing:unset;border-radius:3px;cursor:pointer}.acdc-toast-header{width:calc(100% - 45px);margin-left:25px;max-height:25px;overflow-y:auto}.acdc-toast-close-btn{float:right;cursor:pointer}.acdc-toast-notification-level-icon{margin-right:5px}.acdc-toast-notification-level-div{position:absolute;top:10px;left:10px}.acdc-toast-close-div{position:absolute;top:10px;right:10px}.acdc-toast-content{width:calc(100% - 45px);margin-left:25px;max-height:61px;overflow-y:auto}.acdc-toast-content-with-title{width:100%;margin-left:0}.acdc-toast{background-color:#789;padding:10px;margin:0 auto 10px;border-radius:3px;box-shadow:0 5px 15px gray;color:#fff;position:relative}.acdc-hr{border:0;height:1px;margin-top:10px;margin-bottom:10px;background-image:linear-gradient(to right,#0000,#000000bf,#0000)}.acdc-mini-toast{max-height:60px;min-height:16px}.scroller{scrollbar-color:#999 #eee;scrollbar-width:thin;scrollbar-track-color:red}.scroller::-webkit-scrollbar{width:5px;height:5px}.scroller::-webkit-scrollbar-track-piece{background-color:#eee}.scroller::-webkit-scrollbar-thumb:vertical{background-color:#999}.scroller::-webkit-scrollbar-thumb:horizontal{background-color:#999}\n"] }]
        }], ctorParameters: function () { return [{ type: AcdcNotificationsService }, { type: AcdcUtilsService }, { type: AcdcNotifcationsDefaultConfig }]; }, propDecorators: { toastsDiv: [{
                type: ViewChild,
                args: ['toastsDiv']
            }] } });

class AcdcNotificationsModule {
    static forRoot(defaultConfig) {
        return {
            ngModule: AcdcNotificationsModule,
            providers: [
                AcdcNotificationsService,
                AcdcUtilsService,
                { provide: AcdcNotifcationsDefaultConfig, useValue: defaultConfig }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsModule, declarations: [AcdcNotificationsComponent], imports: [CommonModule], exports: [AcdcNotificationsComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: AcdcNotificationsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule
                    ],
                    declarations: [
                        AcdcNotificationsComponent
                    ],
                    exports: [
                        AcdcNotificationsComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of acdc-notifications
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AcdcHorizontalAlignment, AcdcNotifcationsDefaultConfig, AcdcNotificationLevel, AcdcNotificationsComponent, AcdcNotificationsModule, AcdcNotificationsService, AcdcVerticalAlignment };
//# sourceMappingURL=acdc-notifications.mjs.map
