import { EventEmitter } from '@angular/core';
import { AcdcToast, AcdcNotifcationsDefaultConfig } from './acdc-notifications.model';
import * as i0 from "@angular/core";
export declare class AcdcNotificationsService {
    private defaultConfig;
    addToastAction: EventEmitter<AcdcToast>;
    deleteToastAction: EventEmitter<AcdcToast>;
    updateDefaultConfigEmitter: EventEmitter<AcdcNotifcationsDefaultConfig>;
    private counter;
    private toasts;
    private acdcConfig;
    constructor(defaultConfig: AcdcNotifcationsDefaultConfig);
    private generateId;
    private addToast;
    private toastParamsError;
    getToastsRef(): AcdcToast[];
    updateDefaultConfig(defaultConfig: AcdcNotifcationsDefaultConfig): void;
    toast(...params: any[]): string;
    deleteAllToasts(): void;
    deleteToast(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AcdcNotificationsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AcdcNotificationsService>;
}
