import { OnInit } from '@angular/core';
import { AcdcToast, AcdcNotifcationsDefaultConfig, AcdcVerticalAlignment, AcdcHorizontalAlignment, AcdcNotificationLevel, AcdcNotificationState } from './acdc-notifications.model';
import { AcdcUtilsService } from './acdc-utils.service';
import { AcdcNotificationsService } from './acdc-notifications.service';
import * as i0 from "@angular/core";
export declare class AcdcNotificationsComponent implements OnInit {
    private acdcNotificationsService;
    private acdcUtils;
    private defaultConfig;
    private toastsDiv;
    toasts: AcdcToast[];
    acdcConfig: AcdcNotifcationsDefaultConfig;
    AcdcNotificationLevel: typeof AcdcNotificationLevel;
    AcdcNotificationState: typeof AcdcNotificationState;
    AcdcVerticalAlignment: typeof AcdcVerticalAlignment;
    AcdcHorizontalAlignment: typeof AcdcHorizontalAlignment;
    constructor(acdcNotificationsService: AcdcNotificationsService, acdcUtils: AcdcUtilsService, defaultConfig: AcdcNotifcationsDefaultConfig);
    ngOnInit(): void;
    dismissToast(id: string): void;
    dismissAllToasts(): void;
    private setEmptyConfigDefaults;
    static ɵfac: i0.ɵɵFactoryDeclaration<AcdcNotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AcdcNotificationsComponent, "acdc-notifications", never, {}, {}, never, never, false, never>;
}
